Xeonr Developer Docs

Update upload alias

POST
/uplim.api.v1.UploadAliasService/UpdateUploadAlias

Updates alias settings including password, expiry, use limits, and allowed users.

Authorization

OAuth2 upl:bucket:manage
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:manage

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&
aliasId?string

Numeric alias ID

Length1 <= length <= 64
password?string|null

New password (optional, set to empty string to remove). bcrypt caps passwords at 72 bytes.

Lengthlength <= 72
expiresAt?google.protobuf.Timestamp|null

New expiry (optional)

clearExpiresAt?boolean|null

Whether to clear the expiry validate:skip a bool has no bounds

maxUses?integer|null

New max uses (optional)

Formatint32
Range0 <= value
clearMaxUses?boolean|null

Whether to clear max uses (unlimited) validate:skip a bool has no bounds

allowedUserIds?allowed_user_ids

New allowed user IDs (optional, empty to clear restrictions)

Itemsitems <= 1000
updateAllowedUsers?boolean|null

Whether to update allowed_user_ids validate:skip a bool has no bounds

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.UploadAliasService/UpdateUploadAlias" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "alias": {
    "aliasId": "string",
    "uploadId": "string",
    "path": "string",
    "slug": "string",
    "url": "string",
    "hasPassword": true,
    "expiresAt": "2023-01-15T01:30:15.01Z",
    "maxUses": 0,
    "useCount": 0,
    "allowedUserIds": [
      "string"
    ],
    "createdAt": "2023-01-15T01:30:15.01Z",
    "externalPath": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}